# TODO:
# - do not enable tests before ensuring they do not lock up builders
#
# Conditional build:
%bcond_with	tests		# build without tests (lockup builders)

Summary:	Python toolkit for generation of output for the web
Name:		python-genshi
Version:	0.7
Release:	1
License:	BSD
Group:		Development/Languages/Python
Source0:	http://ftp.edgewall.com/pub/genshi/Genshi-%{version}.tar.gz
# Source0-md5:	54e64dd69da3ec961f86e686e0848a82
URL:		https://genshi.edgewall.org/
BuildRequires:	python-devel
BuildRequires:	python-devel-tools
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Genshi is a Python library that provides an integrated set of
components for parsing, generating, and processing HTML, XML or other
textual content for output generation on the web.

%prep
%setup -q -n Genshi-%{version}

%build
%py_build

%{?with_tests:%{__python} setup.py test}

%install
rm -rf $RPM_BUILD_ROOT
%py_install
%py_postclean

%{__rm} -r $RPM_BUILD_ROOT%{py_sitedir}/genshi/filters/tests
%{__rm} -r $RPM_BUILD_ROOT%{py_sitedir}/genshi/template/tests
%{__rm} -r $RPM_BUILD_ROOT%{py_sitedir}/genshi/tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog
%dir %{py_sitedir}/genshi
%{py_sitedir}/genshi/*.py[co]
%dir %{py_sitedir}/genshi/filters
%{py_sitedir}/genshi/filters/*.py[co]
%dir %{py_sitedir}/genshi/template
%{py_sitedir}/genshi/template/*.py[co]
%attr(755,root,root) %{py_sitedir}/genshi/_speedups.so
%{py_sitedir}/Genshi-*.egg-info
%changelog
* Thu May 12 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-genshi.git;a=log;h=master

* Mon May 02 2016 Elan Ruusamäe <glen@delfi.ee> 499a229
- always builds with speedups

* Mon May 02 2016 Elan Ruusamäe <glen@delfi.ee> b0f49fd
- up to 0.7 (Jan 27 2013)

* Mon May 02 2016 Elan Ruusamäe <glen@delfi.ee> 8184799
- tests lockup builders

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> e1a3956
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 7e8f337
- release 6 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 90e4118
- automatic change: use py_build/py_install macros

* Tue Feb 05 2013 Jan Rękorajski <baggins@pld-linux.org> ad01062
- release 5 (by relup.sh)

* Wed Nov 16 2011 Elan Ruusamäe <glen@pld-linux.org> 34332f2
- test bcond was inversed

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> e0e279a
- release 4

* Mon Sep 13 2010 Elan Ruusamäe <glen@pld-linux.org> d08d440
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1cacb16
- release 2

* Mon Jun 14 2010 Caleb Maclennan <caleb@alerque.com> 204360d
- Up to 0.6
- New upstream default is to not build with speedups

* Fri Feb 20 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 3da2e01
- release 3

* Wed Aug 06 2008 Elan Ruusamäe <glen@pld-linux.org> 9a37e5c
- BR: python-devel-tools for pdb module

* Wed Aug 06 2008 Elan Ruusamäe <glen@pld-linux.org> 3f4746f
- release 1

* Wed Aug 06 2008 Elan Ruusamäe <glen@pld-linux.org> b86ca38
- missing dir, C extension builds on non-borked system

* Wed Aug 06 2008 Elan Ruusamäe <glen@pld-linux.org> 9c7837c
- fix without speedups build

* Wed Aug 06 2008 Elan Ruusamäe <glen@pld-linux.org> ae002f4
- speedups bcond, cflags

* Wed Aug 06 2008 Elan Ruusamäe <glen@pld-linux.org> fe7831c
- new, C-extension has build failures here

